<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="kr.co.hanwha.hifive">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />

    <!--
    <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />-->

    <application
        android:name=".HFApplication"
        android:allowBackup="true"
        android:icon="@mipmap/launcher_icon"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <!-- FCM -->
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_icon"
            android:resource="@mipmap/noti_icon" />
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_color"
            android:resource="@color/black" />

        <service android:name=".fcm.HFFirebaseInstanceIdService">
            <intent-filter>
                <action android:name="com.google.firebase.INSTANCE_ID_EVENT" />
            </intent-filter>
        </service>
        <service android:name=".fcm.HFFirebaseMessagingService">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>
        <!-- FCM END-->

        <activity
            android:name="kr.co.hanwha.hifive.screen.intro.IntroActivity"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".screen.RootActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.Translucent" />
        <activity
            android:name=".screen.common.LandingActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.Translucent" />
        <activity
            android:name=".screen.main.setting.MainSettingWebviewActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".screen.main.setting.SettingScreenActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".screen.main.setting.HelpdeskActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize" />

        <activity
            android:name=".screen.main.webview.NoticeWebViewActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.Translucent" />
        <activity
            android:name=".screen.common.CommonWebViewActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.Translucent" />
        <activity
            android:name=".screen.intro.AuthNumberActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".screen.intro.CheckAuthNumberActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".screen.main.MainActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".screen.main.home.MainOKRActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".screen.task.TaskDetailActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".screen.task.AddTaskActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.Translucent"
            android:windowSoftInputMode="adjustResize" />
        <activity
            android:name=".screen.task.AddTaskSelectMemberActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.Translucent" />
        <activity
            android:name=".screen.task.AddTaskSelectCampaignActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.Translucent" />
        <activity
            android:name=".screen.main.dashboard.DashboardProjectActivity"
            android:screenOrientation="portrait" />
        <!-- 알림 -->
        <activity
            android:name=".screen.alarm.AlarmActivity"
            android:screenOrientation="portrait" />
        <!-- 검색 -->
        <activity
            android:name=".screen.search.SearchActivity"
            android:screenOrientation="portrait" />
        <!-- Admin -->
        <activity
            android:name=".admin.TestModeActivity"
            android:screenOrientation="portrait" />
    </application>

</manifest>